slepc-3.21.1 2024-04-26
Report Typos and Errors

# EPSConvergedReason

Reason an eigensolver was said to have converged or diverged

### Synopsis

    typedef enum {/* converged */
                  EPS_CONVERGED_TOL                =  1,
                  EPS_CONVERGED_USER               =  2,
                  /* diverged */
                  EPS_DIVERGED_ITS                 = -1,
                  EPS_DIVERGED_BREAKDOWN           = -2,
                  EPS_DIVERGED_SYMMETRY_LOST       = -3,
                  EPS_CONVERGED_ITERATING          =  0} EPSConvergedReason;

### See Also

EPSSolve(), EPSGetConvergedReason(), EPSSetTolerances()

### Level

intermediate

### Location

include/slepceps.h

### Examples

src/eps/tutorials/ex29.c
src/eps/tutorials/ex30.c
Index of all EPS routines
Table of Contents for all manual pages
Index of all manual pages